Puls version 9.0 Puls version 8.0 Puls version trance
Sorry this site have a flash based native radio and needed adobe flash 10+ support.
Download Flash here.